## BtMainPageWaves BtMainPageWaves — the editor wavetable page |

## Functions

BtMainPageWaves * | bt_main_page_waves_new ()

## Types and Values

struct | BtMainPageWaves

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── BtMainPageWaves

## Implemented Interfaces

BtMainPageWaves implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include "bt-edit.h"

## Description

Manage a list of audio clips files. Provides an embedded file browser to load files. A waveform viewer can show the selected clip.

## Functions

### bt_main_page_waves_new ()

    BtMainPageWaves *
    bt_main_page_waves_new (const BtMainPages *pages);

Create a new instance

#### Parameters

pages | the page collection |

#### Returns

the new instance

## Types and Values

### struct BtMainPageWaves

    struct BtMainPageWaves;

the pattern page for the editor application